export interface BaseModule {
  containerRef: Ref<HTMLElement>;
  dndEvent: Ref<DndEvent>;
  dragData: UnwrapNestedRefs<{ status: string; data: any }>;
  allowDrag: (target: HTMLElement) => boolean;
  allowDockable: (target: HTMLElement) => boolean;
  allowDropin: (target: HTMLElement) => boolean;
  allowDrop: (source: HTMLElement, target: HTMLElement) => boolean;
  allowDnd: (target: HTMLElement) => boolean;
  allowHover: (target: HTMLElement) => boolean;
  onDragstart: (dndEvent: DndEvent) => void;
  onDrop: (dndEvent: DndEvent) => void;
  customDragoverGuidePosition: (dndEvent: DndEvent) => string;
  // getLayoutAndPosition: (
  //   ev: MouseEvent,
  //   source: HTMLElement,
  //   target: HTMLElement
  // ) => { position: string; layout?: string };
  [x: string]: any;
}
