import { PropType } from 'vue';
export interface RadioItemProps {
    label?: string;
    value: string;
    disabled?: boolean;
    [x: string]: any;
}
export declare const radioGroupProps: {
    /**
     * @explan 绑定值
     */
    value: import("vue-types").VueTypeValidableDef<any>;
    modelValue: import("vue-types").VueTypeValidableDef<any>;
    /**
     * @explan 默认值（非受控状态）
     */
    defaultValue: import("vue-types").VueTypeDef<string | number | boolean | null | undefined>;
    /**
     * @explan 单选框组的类型
     * @values 'radio', 'button'
     */
    type: {
        type: PropType<"radio" | "button">;
        default: string;
    };
    /**
     * @explan 单选框组的尺寸
     * @values 'sm','lg'
     */
    size: import("vue-types").VueTypeDef<"small" | "middle" | "large"> & {
        default: "small" | "middle" | "large";
    };
    /**
     * @explan 选项
     */
    options: import("vue-types").VueTypeValidableDef<RadioItemProps[]>;
    /**
     * @explan 单选框组的方向
     * @values 'horizontal', 'vertical'
     */
    direction: import("vue-types").VueTypeDef<string> & {
        default: string;
    };
    /**
     * @explan 是否禁用
     */
    disabled: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    };
    /**
     * @explan 是否允许空值
     * @en Whether to disable
     */
    allowEmpty: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    } & {
        default: boolean;
    };
    /**
     * @explan 圆角
     */
    round: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    };
    /**
     * @explan 浮层内容
     */
    tooltipContent: import("vue-types").VueTypeDef<any> & {
        default: any;
    };
};
export declare const radioProps: {
    /**
     * @explan 绑定值
     */
    modelValue: import("vue-types").VueTypeValidableDef<any>;
    /**
     * @explan 选项的 `value`
     */
    value: import("vue-types").VueTypeValidableDef<any>;
    /**
     * @explan 默认是否选中
     */
    defaultChecked: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    } & {
        default: boolean;
    };
    /**
     * @explan 是否禁用
     */
    disabled: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    } & {
        default: boolean;
    };
    /**
     * @explan 单选的类型
     * @values 'radio', 'button'
     */
    type: import("vue-types").VueTypeDef<string> & {
        default: string;
    };
    /**
     * @explan private
     */
    uninjectGroupContext: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    } & {
        default: boolean;
    };
    /**
     * @explan 是否允许为空
     */
    allowEmpty: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    } & {
        default: boolean;
    };
};
