import { TreeKey } from '..';
import { TreeNode } from './core/tree-node';
import { DataNode, TreeAction } from './props';
declare const _default: import("vue").DefineComponent<{
    onSelect: FunctionConstructor;
    onNodeDblClick: FunctionConstructor;
    onDrop: FunctionConstructor;
    prefixCls: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    checkable: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    } & {
        default: boolean;
    };
    draggable: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    } & {
        default: boolean;
    };
    defaultExpandAll: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    } & {
        default: boolean;
    };
    showLine: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    } & {
        default: boolean;
    };
    expandedOnIcon: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    } & {
        default: boolean;
    };
    onlyExpandedTrueOnNode: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    } & {
        default: boolean;
    };
    rename: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    } & {
        default: boolean;
    };
    treeData: {
        type: import("vue").PropType<DataNode[]>;
        default: () => never[];
    };
    checkedKeys: {
        type: import("vue").PropType<TreeKey[]>;
        default: () => never[];
    };
    expandedKeys: {
        type: import("vue").PropType<TreeKey[]>;
        default: () => undefined;
    };
    draggableOptions: {
        type: import("vue").PropType<import("./props").DraggableOptions>;
        default: () => void;
    };
    renameOptions: {
        type: import("vue").PropType<import("./props").RenameOptions>;
        default: () => void;
    };
    selectedKey: {
        type: (NumberConstructor | StringConstructor)[];
        default: string;
    };
    nodeExtraProps: {
        type: FunctionConstructor;
    };
}, {
    state: {
        selectedKey: TreeKey;
        expandedKeys: TreeKey[];
        checkedKeys: TreeKey[];
        halfCheckedKeys: TreeKey[];
        dragStatus: string;
    };
    store: {
        nodesMap: Map<string | number, TreeNode>;
        nodeKey: string;
        root: {
            key: string | number;
            label: string;
            parent: any;
            store: any;
            childNodes: any[];
            level: number;
            isLeaf: boolean;
            isFirst: boolean;
            isLast: boolean;
            originData: any;
            checked: boolean;
            indeterminate: boolean;
            expanded: boolean;
            draggable: boolean;
            droppable: boolean;
            editable: boolean;
            disabled: boolean;
            initialize: (options: Record<string, any>) => void;
            registerNode: () => void;
            initialKey: (options: Record<string, any>) => void;
            initialLabel: (options: Record<string, any>) => void;
            initialLevel: () => void;
            initialChildren: (options: Record<string, any>) => void;
            updateLeafState: () => void;
            remove: (key: TreeKey) => void;
            insert: (node: TreeNode, index?: number) => void;
            insertBefore: (node: TreeNode) => void;
            insertAfter: (node: TreeNode) => void;
            check: (checked: boolean, parent?: boolean, children?: boolean) => void;
            chilrenEmitChecked: () => void;
            updateSelfChecked: (checked: boolean) => void;
            updateParentChecked: () => void;
            updateChildrenChecked: (checked: boolean) => void;
            expand: (expanded: boolean, parent?: boolean) => void;
            edit: (editable: boolean) => void;
            rename: (val: string) => void;
            indexAtParent: () => number;
            isContain: (node: TreeNode) => boolean;
            getParents: () => TreeNode[];
            toData: () => DataNode;
        } | null;
        data: {
            [x: string]: any;
            key?: string | number | undefined;
            label?: any;
            children?: any[] | undefined;
            checkable?: boolean | undefined;
            draggable?: boolean | undefined;
            droppable?: boolean | undefined;
        }[];
        selectedKey: string | number | undefined;
        checkedKeys: TreeKey[];
        expandedKeys: TreeKey[];
        dragNode: {
            key: string | number;
            label: string;
            parent: any;
            store: any;
            childNodes: any[];
            level: number;
            isLeaf: boolean;
            isFirst: boolean;
            isLast: boolean;
            originData: any;
            checked: boolean;
            indeterminate: boolean;
            expanded: boolean;
            draggable: boolean;
            droppable: boolean;
            editable: boolean;
            disabled: boolean;
            initialize: (options: Record<string, any>) => void;
            registerNode: () => void;
            initialKey: (options: Record<string, any>) => void;
            initialLabel: (options: Record<string, any>) => void;
            initialLevel: () => void;
            initialChildren: (options: Record<string, any>) => void;
            updateLeafState: () => void;
            remove: (key: TreeKey) => void;
            insert: (node: TreeNode, index?: number) => void;
            insertBefore: (node: TreeNode) => void;
            insertAfter: (node: TreeNode) => void;
            check: (checked: boolean, parent?: boolean, children?: boolean) => void;
            chilrenEmitChecked: () => void;
            updateSelfChecked: (checked: boolean) => void;
            updateParentChecked: () => void;
            updateChildrenChecked: (checked: boolean) => void;
            expand: (expanded: boolean, parent?: boolean) => void;
            edit: (editable: boolean) => void;
            rename: (val: string) => void;
            indexAtParent: () => number;
            isContain: (node: TreeNode) => boolean;
            getParents: () => TreeNode[];
            toData: () => DataNode;
        } | null;
        draggableOptions: {
            outside?: boolean | (() => boolean) | undefined;
            allowDrag?: ((action: TreeAction) => boolean) | undefined;
            allowDrop?: ((action: TreeAction) => boolean) | undefined;
            onDragstart?: ((data: DataNode[], action: TreeAction) => void) | undefined;
            onDrag?: ((data: DataNode[], action: TreeAction) => void) | undefined;
            onDragend?: ((data: DataNode[], action: TreeAction) => void) | undefined;
            onDrop?: ((data: DataNode[], action: TreeAction) => void) | undefined;
        };
        emitChange: (data: DataNode[], action: TreeAction) => void;
        initialize: (options: import("..").TreeStoreInitialize) => void;
        initialData: (data: DataNode[]) => void;
        registerNode: (node: TreeNode) => void;
        setCheckedKeys: (checkedKeys: TreeKey[]) => void;
        getCheckedKeys: () => any[];
        observerNodeCheck: (node: TreeNode, checked: boolean) => void;
        setExpandedKeys: (expandedKeys: TreeKey[]) => void;
        expandedAll: () => void;
        setSelectedKey: (key: TreeKey) => void;
        rename: (key: TreeKey, value: string, close?: boolean) => void;
        onNodeEdit: (key: TreeKey, val: boolean) => void;
        allowDrop: (ev: DragEvent, dragNode: TreeNode | null, dropNode: TreeNode) => boolean;
        getTreeNode: (key: TreeKey) => TreeNode | null;
        onDragstart: (ev: DragEvent, node: TreeNode) => void;
        onDragend: (ev: DragEvent, node: TreeNode) => void;
        onDrop: (ev: DragEvent, node: TreeNode) => void;
        sort: (dragNode: TreeNode, dropNode: TreeNode, position: string) => void;
        updateData: () => boolean;
    };
    root: import("vue").ComputedRef<TreeNode | null>;
    prefixCls: string;
    classes: import("vue").ComputedRef<{
        [x: string]: boolean;
        "is-dragging": boolean;
    }>;
    treeRef: import("vue").Ref<any>;
    mergedRenameOptions: import("vue").ComputedRef<import("./props").RenameOptions>;
    onScroll: () => void;
    setNodesRef: (node: TreeNode, el: HTMLElement) => void;
    renderChildren: (childNodes: TreeNode[], options: Record<string, any>) => JSX.Element[];
    onClick: (ev: PointerEvent, node: TreeNode) => void;
    onDblClick: (ev: PointerEvent, node: TreeNode) => void;
    onContextmenu: (ev: PointerEvent, node: TreeNode) => void;
    onSelect: (ev: Event, node: TreeNode) => void;
    onNodeDragstart: (ev: DragEvent, node: TreeNode) => void;
    onNodeDrag: (ev: DragEvent, node: TreeNode) => void;
    onNodeDragend: (ev: DragEvent, node: TreeNode) => void;
    onNodeDrop: (ev: DragEvent, node: TreeNode) => void;
    onNodeRename: (node: TreeNode, value: string) => void;
    onNodeChecked: (node: TreeNode, check: boolean) => void;
    onNodeExpanded: (node: TreeNode, expand: boolean) => void;
    onNodeMouseenter: (ev: MouseEvent, node: TreeNode) => void;
    onNodeMouseleave: (ev: MouseEvent, node: TreeNode) => void;
    onNodeMouseover: (ev: MouseEvent, node: TreeNode) => void;
    onNodeMouseout: (ev: MouseEvent, node: TreeNode) => void;
    renderLabel: (node: TreeNode) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
        [key: string]: any;
    }>[] | null;
    renderAddonBefore: (node: TreeNode) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
        [key: string]: any;
    }>[] | null;
    renderAddonAfter: (node: TreeNode) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
        [key: string]: any;
    }>[] | null;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("check" | "drop" | "drag" | "change" | "select" | "expand" | "node-dblclick" | "node-click" | "node-contextmenu" | "node-mouseenter" | "node-mouseleave" | "node-mouseover" | "node-mouseout" | "update:checkedKeys" | "update:selectedKey" | "update:expandedKeys")[], "check" | "drop" | "drag" | "change" | "select" | "expand" | "node-dblclick" | "node-click" | "node-contextmenu" | "node-mouseenter" | "node-mouseleave" | "node-mouseover" | "node-mouseout" | "update:checkedKeys" | "update:selectedKey" | "update:expandedKeys", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    onSelect: FunctionConstructor;
    onNodeDblClick: FunctionConstructor;
    onDrop: FunctionConstructor;
    prefixCls: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    checkable: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    } & {
        default: boolean;
    };
    draggable: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    } & {
        default: boolean;
    };
    defaultExpandAll: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    } & {
        default: boolean;
    };
    showLine: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    } & {
        default: boolean;
    };
    expandedOnIcon: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    } & {
        default: boolean;
    };
    onlyExpandedTrueOnNode: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    } & {
        default: boolean;
    };
    rename: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    } & {
        default: boolean;
    };
    treeData: {
        type: import("vue").PropType<DataNode[]>;
        default: () => never[];
    };
    checkedKeys: {
        type: import("vue").PropType<TreeKey[]>;
        default: () => never[];
    };
    expandedKeys: {
        type: import("vue").PropType<TreeKey[]>;
        default: () => undefined;
    };
    draggableOptions: {
        type: import("vue").PropType<import("./props").DraggableOptions>;
        default: () => void;
    };
    renameOptions: {
        type: import("vue").PropType<import("./props").RenameOptions>;
        default: () => void;
    };
    selectedKey: {
        type: (NumberConstructor | StringConstructor)[];
        default: string;
    };
    nodeExtraProps: {
        type: FunctionConstructor;
    };
}>> & {
    onChange?: ((...args: any[]) => any) | undefined;
    onSelect?: ((...args: any[]) => any) | undefined;
    onDrag?: ((...args: any[]) => any) | undefined;
    onDrop?: ((...args: any[]) => any) | undefined;
    onCheck?: ((...args: any[]) => any) | undefined;
    onExpand?: ((...args: any[]) => any) | undefined;
    "onNode-dblclick"?: ((...args: any[]) => any) | undefined;
    "onNode-click"?: ((...args: any[]) => any) | undefined;
    "onNode-contextmenu"?: ((...args: any[]) => any) | undefined;
    "onNode-mouseenter"?: ((...args: any[]) => any) | undefined;
    "onNode-mouseleave"?: ((...args: any[]) => any) | undefined;
    "onNode-mouseover"?: ((...args: any[]) => any) | undefined;
    "onNode-mouseout"?: ((...args: any[]) => any) | undefined;
    "onUpdate:checkedKeys"?: ((...args: any[]) => any) | undefined;
    "onUpdate:selectedKey"?: ((...args: any[]) => any) | undefined;
    "onUpdate:expandedKeys"?: ((...args: any[]) => any) | undefined;
}, {
    prefixCls: string;
    draggable: boolean;
    rename: boolean;
    checkable: boolean;
    checkedKeys: TreeKey[];
    selectedKey: string | number;
    expandedKeys: TreeKey[];
    defaultExpandAll: boolean;
    showLine: boolean;
    expandedOnIcon: boolean;
    onlyExpandedTrueOnNode: boolean;
    renameOptions: import("./props").RenameOptions;
    treeData: DataNode[];
    draggableOptions: import("./props").DraggableOptions;
}>;
export default _default;
