import { TreeNode } from '../core/tree-node';
import { TreeKey, TreeStoreOptions } from '../core/tree-store';
declare const _default: (optons?: TreeStoreOptions | undefined) => {
    store: {
        nodesMap: Map<string | number, TreeNode>;
        nodeKey: string;
        root: {
            key: string | number;
            label: string;
            parent: any;
            store: any;
            childNodes: any[];
            level: number;
            isLeaf: boolean;
            isFirst: boolean;
            isLast: boolean;
            originData: any;
            checked: boolean;
            indeterminate: boolean;
            expanded: boolean;
            draggable: boolean;
            droppable: boolean;
            editable: boolean;
            disabled: boolean;
            initialize: (options: Record<string, any>) => void;
            registerNode: () => void;
            initialKey: (options: Record<string, any>) => void;
            initialLabel: (options: Record<string, any>) => void;
            initialLevel: () => void;
            initialChildren: (options: Record<string, any>) => void;
            updateLeafState: () => void;
            remove: (key: TreeKey) => void;
            insert: (node: TreeNode, index?: number) => void;
            insertBefore: (node: TreeNode) => void;
            insertAfter: (node: TreeNode) => void;
            check: (checked: boolean, parent?: boolean, children?: boolean) => void;
            chilrenEmitChecked: () => void;
            updateSelfChecked: (checked: boolean) => void;
            updateParentChecked: () => void;
            updateChildrenChecked: (checked: boolean) => void;
            expand: (expanded: boolean, parent?: boolean) => void;
            edit: (editable: boolean) => void;
            rename: (val: string) => void;
            indexAtParent: () => number;
            isContain: (node: TreeNode) => boolean;
            getParents: () => TreeNode[];
            toData: () => import("..").DataNode;
        } | null;
        data: {
            [x: string]: any;
            key?: string | number | undefined;
            label?: any;
            children?: any[] | undefined;
            checkable?: boolean | undefined;
            draggable?: boolean | undefined;
            droppable?: boolean | undefined;
        }[];
        selectedKey: string | number | undefined;
        checkedKeys: TreeKey[];
        expandedKeys: TreeKey[];
        dragNode: {
            key: string | number;
            label: string;
            parent: any;
            store: any;
            childNodes: any[];
            level: number;
            isLeaf: boolean;
            isFirst: boolean;
            isLast: boolean;
            originData: any;
            checked: boolean;
            indeterminate: boolean;
            expanded: boolean;
            draggable: boolean;
            droppable: boolean;
            editable: boolean;
            disabled: boolean;
            initialize: (options: Record<string, any>) => void;
            registerNode: () => void;
            initialKey: (options: Record<string, any>) => void;
            initialLabel: (options: Record<string, any>) => void;
            initialLevel: () => void;
            initialChildren: (options: Record<string, any>) => void;
            updateLeafState: () => void;
            remove: (key: TreeKey) => void;
            insert: (node: TreeNode, index?: number) => void;
            insertBefore: (node: TreeNode) => void;
            insertAfter: (node: TreeNode) => void;
            check: (checked: boolean, parent?: boolean, children?: boolean) => void;
            chilrenEmitChecked: () => void;
            updateSelfChecked: (checked: boolean) => void;
            updateParentChecked: () => void;
            updateChildrenChecked: (checked: boolean) => void;
            expand: (expanded: boolean, parent?: boolean) => void;
            edit: (editable: boolean) => void;
            rename: (val: string) => void;
            indexAtParent: () => number;
            isContain: (node: TreeNode) => boolean;
            getParents: () => TreeNode[];
            toData: () => import("..").DataNode;
        } | null;
        draggableOptions: {
            outside?: boolean | (() => boolean) | undefined;
            allowDrag?: ((action: import("..").TreeAction) => boolean) | undefined;
            allowDrop?: ((action: import("..").TreeAction) => boolean) | undefined;
            onDragstart?: ((data: import("..").DataNode[], action: import("..").TreeAction) => void) | undefined;
            onDrag?: ((data: import("..").DataNode[], action: import("..").TreeAction) => void) | undefined;
            onDragend?: ((data: import("..").DataNode[], action: import("..").TreeAction) => void) | undefined;
            onDrop?: ((data: import("..").DataNode[], action: import("..").TreeAction) => void) | undefined;
        };
        emitChange: (data: import("..").DataNode[], action: import("..").TreeAction) => void;
        initialize: (options: import("../core/tree-store").TreeStoreInitialize) => void;
        initialData: (data: import("..").DataNode[]) => void;
        registerNode: (node: TreeNode) => void;
        setCheckedKeys: (checkedKeys: TreeKey[]) => void;
        getCheckedKeys: () => any[];
        observerNodeCheck: (node: TreeNode, checked: boolean) => void;
        setExpandedKeys: (expandedKeys: TreeKey[]) => void;
        expandedAll: () => void;
        setSelectedKey: (key: TreeKey) => void;
        rename: (key: TreeKey, value: string, close?: boolean) => void;
        onNodeEdit: (key: TreeKey, val: boolean) => void;
        allowDrop: (ev: DragEvent, dragNode: TreeNode | null, dropNode: TreeNode) => boolean;
        getTreeNode: (key: TreeKey) => TreeNode | null;
        onDragstart: (ev: DragEvent, node: TreeNode) => void;
        onDragend: (ev: DragEvent, node: TreeNode) => void;
        onDrop: (ev: DragEvent, node: TreeNode) => void;
        sort: (dragNode: TreeNode, dropNode: TreeNode, position: string) => void;
        updateData: () => boolean;
    };
    root: import("vue").ComputedRef<TreeNode | null>;
    setCheckedKeys: (keys: TreeKey[]) => void;
    setSelectedKey: (key: TreeKey) => void;
    setExpandedKeys: (keys: TreeKey[]) => void;
    drop: (ev: DragEvent, node: TreeNode) => void;
    rename: (key: TreeKey, val: string, close?: boolean | undefined) => void;
    onNodeEdit: (key: TreeKey, val: boolean) => void;
};
export default _default;
