import { UploadAjaxError } from '../types';
import type { ExtractPropTypes } from 'vue';
import type { UploadFile, UploadProgressEvent, UploadRawFile } from './upload';
import type UploadContent from './upload-content.vue';
export declare const uploadContentProps: {
    beforeUpload: {
        type: import("vue").PropType<(rawFile: UploadRawFile) => import("../types").Awaitable<boolean | void | File | Blob | null | undefined>>;
        default: () => void;
    };
    onRemove: {
        type: import("vue").PropType<(file: UploadFile | UploadRawFile, rawFile?: UploadRawFile | undefined) => void>;
        default: () => void;
    };
    onStart: {
        type: import("vue").PropType<(rawFile: UploadRawFile) => void>;
        default: () => void;
    };
    onSuccess: {
        type: import("vue").PropType<(response: any, rawFile: UploadRawFile) => unknown>;
        default: () => void;
    };
    onProgress: {
        type: import("vue").PropType<(evt: UploadProgressEvent, rawFile: UploadRawFile) => void>;
        default: () => void;
    };
    onError: {
        type: import("vue").PropType<(err: UploadAjaxError, rawFile: UploadRawFile) => void>;
        default: () => void;
    };
    onExceed: {
        type: import("vue").PropType<(files: File[], uploadFiles: import("./upload").UploadUserFile[]) => void>;
        default: () => void;
    };
    action: {
        type: StringConstructor;
        default: string;
    };
    headers: {
        type: import("vue").PropType<Record<string, any> | Headers>;
    };
    method: {
        type: StringConstructor;
        default: string;
    };
    data: {
        type: ObjectConstructor;
        default: () => import("../types").Mutable<{}>;
    };
    multiple: {
        type: BooleanConstructor;
        default: boolean;
    };
    webkitdirectory: {
        type: BooleanConstructor;
        default: boolean;
    };
    name: {
        type: StringConstructor;
        default: string;
    };
    withCredentials: BooleanConstructor;
    showFileList: {
        type: BooleanConstructor;
        default: boolean;
    };
    accept: {
        type: StringConstructor;
        default: string;
    };
    uploadPrecent: {
        type: NumberConstructor;
        default: number;
    };
    isLoading: {
        type: BooleanConstructor;
        default: boolean;
    };
    type: {
        type: StringConstructor;
        default: string;
    };
    fileList: {
        type: import("vue").PropType<import("./upload").UploadUserFile[]>;
        default: () => [];
    };
    autoUpload: {
        type: BooleanConstructor;
        default: boolean;
    };
    listType: {
        type: StringConstructor;
        values: readonly ["text", "picture-card"];
        default: string;
    };
    httpRequest: {
        type: import("vue").PropType<import("./upload").UploadRequestHandler>;
        default: import("./upload").UploadRequestHandler;
    };
    disabled: BooleanConstructor;
    limit: NumberConstructor;
};
export declare type UploadContentProps = ExtractPropTypes<typeof uploadContentProps>;
export declare type UploadContentInstance = InstanceType<typeof UploadContent>;
