import type { ComputedRef, InjectionKey, PropType } from 'vue';
export declare class UploadAjaxError extends Error {
    name: string;
    status: number;
    method: string;
    url: string;
    constructor(message: string, status: number, method: string, url: string);
}
export declare type Awaitable<T> = Promise<T> | T;
export interface UploadContext {
    accept: ComputedRef<string>;
}
export declare const uploadContextKey: InjectionKey<UploadContext>;
export declare const definePropType: <T>(val: any) => PropType<T>;
export declare const mutable: <T extends readonly any[] | Record<string, unknown>>(val: T) => Mutable<T>;
export declare type Mutable<T> = {
    -readonly [P in keyof T]: T[P];
};
